import pandas as pd


#방법 1. 전체 경로 입력
# pandas, openpyxl, xlrd 다 깔았음
df1=pd.read_excel('d:/Users/gykwa/Desktop/파이선/식품영양성분DB.xlsx',engine='openpyxl',usecols = "F,P")

temporaryList = df1.values.tolist()


#리스트를 딕셔너리로 변환
noproblem = {}
for i in range(len(temporaryList)):
    name= temporaryList[i][0]
    kcal = temporaryList[i][1]

    if kcal=='-':
        kcal = 0
        noproblem[name]=kcal
    else:
        noproblem[name]=float(kcal)


############################################################################################################
gainweight = {'순대국밥': 500, '마라탕': 2000}
looseweight = {'사과':70}
diabetic = {'제로콜라':5}
hyperthyroidism ={}
hypothyroidism = {}
problemList = [noproblem, gainweight, looseweight, diabetic, hyperthyroidism, hypothyroidism ]



#성인에 대해서만 프로그램이 작동합니다.
givenBase = input("이름,성별(남/여)를 ,로 순서대로 구분지어 입력해주세요 : ").split(',')
givenData = input("나이,체중(kg),키(m)를 ,로 순서대로 구분지어 입력해주세요 : ").split(',')

givenPA = input("PA계수를 입력해 주세요 : ")

breakfast = input("아침으로 먹은 메뉴를 ,로 구분지어 입력해주세요 :").split(",")
lunch = input("점심으로 먹은 메뉴를 ,로 구분지어 입력해주세요 :").split(",")
whatIAteToday = breakfast + lunch

givenProblem = input("가지고 있는 본인의 증상을 입력해주세요(없으면 noproblem으로 입력해주세요.) :")

print("-----------------결과-----------------")
if float(givenData[0])< 19:
    print("성인에 대해서만 프로그램이 작동합니다.")
else :
    if givenBase[1] == "남":
        needEnergy = 662 - 9.53*float(givenData[0])+ float(givenPA[0])*(15.91*float(givenData[1])+539.6*float(givenData[2]))
    if givenBase[1] == "여":
        
        needEnergy = 354 - 6.91*float(givenData[0])+ float(givenPA[0])*(15.91*float(givenData[1])+539.6*float(givenData[2]))

print("당신의 하루 에너지 필요량은 "+ str(needEnergy) + "입니다.")

leftIntake = 0
def recommendedDinnerIntake(noproblem, whatIAteToday):
    total = 0
    for i in noproblem:
        for j in whatIAteToday:
            if i == j:
                total += noproblem[i]
    leftIntake = needEnergy - total
    return leftIntake
leftIntake = recommendedDinnerIntake(noproblem, whatIAteToday)
print("당신의 권장저녁섭취량은"+ str(recommendedDinnerIntake(noproblem, whatIAteToday))+"입니다.")

#일반인 저메추
from random import sample



def recommendedDinnerMenu1(noproblem, leftIntake): #noproblem 변환 필요
    box = []
    box2= []
    for i in noproblem: #noproblem 변환 필요
        if noproblem[i]< leftIntake:
            box.append(i)
            box.append(noproblem[i])
            box2.append(box)
            box = []
        
            

    return box2
box2 = recommendedDinnerMenu1(noproblem, leftIntake)
print("추천하는 한 종류의 저녁 메뉴는 다음과 같습니다:"+ str(sample(box2,3)))

def recommendedDinnerMenu2(noproblem,leftIntake):
    box = []
    box2= []
    box3= []
    for i in noproblem:
        for j in noproblem:
            if i==j:
                continue

            else:
                if noproblem[i]+noproblem[j]<leftIntake:
                    box.append(i)
                    box.append(noproblem[i])
                    box.append(j)
                    box.append(noproblem[j])
                    box2.append(box)
                    box = []
        
            

    return box2
box2 = recommendedDinnerMenu2(noproblem, leftIntake)
print("추천하는 두 종류의 저녁 메뉴는 다음과 같습니다:"+ str(sample(box2,3)))